%define pkg_name        Term-Prompt
%define pkg_version     1.04
%define rpm_pkg_version 1.04
%define rpm_pkg_release 1.n0i.10

Summary:       Module to handle various forms of user input via terminal
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/P/PE/PERSICOM/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Term::ReadKey) >= 1}
%{!?_without_test:BuildRequires: perl(Text::Wrap) >= 1}


%description
Module to handle various forms of user input via terminal.

This perl routine will take a prompt, a default response and a list of
possible responses and deal with the user interface, (and the user!),
by displaying the prompt, showing the default, and checking to be sure
that the response is one of the legal choices.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_eol}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue Jul 31 2007 Marius Feraru <altblue@n0i.net> - 1.04-1.n0i.10
- version 1.04

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.03-3.n0i.9
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Sat Jul 30 2005 Marius Feraru <altblue@n0i.net> 1.03-2.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer/0.1
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.03-1.n0i.7
- automatic rebuild (perl 5.8.6)

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:1.03-1.n0i.6
- version 1.03

* Fri Jul 09 2004 Marius Feraru <altblue@n0i.net> 0:1.01-2.n0i.5
- version 1.01

* Thu May 06 2004 Marius Feraru <altblue@n0i.net> 0:0.13-1.n0i.4
- version 0.13
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401

* Sun Feb 22 2004 Marius FERARU <altblue@n0i.net> 0:0.12-1.n0i.3
- version 0.12

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:0.11-0.n0i.2
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Fri Jul 4 2003 Marius FERARU <altblue@n0i.net> 0.11-0.n0i
- Initial build.
